Name: qmail-qmqpc
Version: 1.03
Release: 3
Group: Networking/Clients
URL: http://www.qmail.org/
Copyright: Check with djb@koobera.math.uic.edu
Packager: Bruce Guenter <bruce.guenter@qcc.sk.ca>
Source: ftp://koobera.math.uic.edu/pub/software/qmail-1.03.tar.gz
Patch: http://www.qcc.sk.ca/~bguenter/distrib/qmail+patches/qmail-1.03-install-path.patch
Summary: Qmail QMQP client
Provides: MTA, smtpdaemon
Conflicts: sendmail
Conflicts: qmail
Requires: qmail-utils >= 1.03+patches
BuildRoot: /tmp/qmail-qmqpc

%description
This package provides a simple QMQP client setup to be used to set up a
non-intelligent mail host that forwards all of its mail to another host
running a QMQP server (qmail-qmqpd).  This package is a complete
standalone system for providing mail capabilities to a networked host.
QMQP is a streamlined protocol that provides a centralized mail queue
within a cluster of hosts.  See the author's page at
ftp://koobera.math.uic.edu/www/proto/qmqp.html for full details.

%prep
%setup -n qmail-1.03
%patch -p1

echo "gcc $RPM_OPT_FLAGS" >conf-cc
echo "gcc -s $RPM_OPT_FLAGS" >conf-ld
uid=`id -un`
{ for u in 1 2 3 4 5 6 7 8; do echo $uid; done } >conf-users
gid=`id -gn`
{ echo $gid; echo $gid } >conf-groups

%build

make
make man

%install
PATH="/bin:/usr/bin"
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
pushd $RPM_BUILD_ROOT
  mkdir -p etc/qmail
  mkdir -p etc/qmail/control
  mkdir -p usr/bin
  mkdir -p usr/lib
  mkdir -p usr/man
  mkdir -p usr/sbin
  mkdir -p var/qmail
popd

# INSTALL IT
./install $RPM_BUILD_ROOT/var/qmail

pushd $RPM_BUILD_ROOT/var/qmail
  # Remove preformatted man pages
  rm -rf man/cat*
  # Make qmail-queue a symlink to qmail-qmqpc
  rm bin/qmail-queue
  ln -s qmail-qmqpc bin/qmail-queue
  # Move various files around
  mv man/man* ../../usr/man
  mv bin/* ../../usr/bin
  # Remove directories
  rmdir man
  rmdir bin
  rmdir control
  rm -rf doc
  # Make symlinks
  ln -s /usr/bin bin
  ln -s /usr/man man
  ln -s /etc/qmail/control control
  ln -s /usr/doc/qmail-$RPM_PACKAGE_VERSION doc
popd

# Fix for sendmail add-ons
pushd $RPM_BUILD_ROOT/usr
  mv bin/sendmail sbin/sendmail
  ln -s ../sbin/sendmail lib/sendmail
popd

# Create "ghost" files
touch $RPM_BUILD_ROOT/etc/qmail/control/me
touch $RPM_BUILD_ROOT/etc/qmail/control/qmqpservers

%clean
rm -rf $RPM_BUILD_ROOT

# Files List ###################################################################
%files
%defattr(-,root,root)
%dir /etc/qmail
%dir /etc/qmail/control
%ghost %config(noreplace) /etc/qmail/control/me
%ghost %config(noreplace) /etc/qmail/control/qmqpservers

/usr/bin/qmail-qmqpc
/usr/bin/qmail-queue
/usr/man/man5/addresses.5
/usr/man/man5/envelopes.5
/usr/man/man5/maildir.5
/usr/man/man5/mbox.5
/usr/man/man5/qmail-control.5
/usr/man/man5/qmail-header.5
/usr/man/man7/forgeries.7
/usr/man/man7/qmail-limits.7
/usr/man/man7/qmail.7
/usr/man/man8/qmail-qmqpc.8

%dir /var/qmail
/var/qmail/bin
/var/qmail/control
/var/qmail/doc
/var/qmail/man
